Requires read_content access scope.
For more info, refer to:
GET https://{handle}.myshopline.com/admin/openapi/v20261201/themes/:theme_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Get a theme's details by its unique ID.
Path Parameters
  • theme_id string required
    The unique ID of the theme.
    Example: 671f4c96d2682a1f5407536e
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • themeobject
    The information of the queried theme.
  • create_at string
    The creation time of the theme. Format: ISO 8601.
    Example: 2024-10-28T16:34:30+08:00
  • id string
    The unique ID of the theme.
    Example: 671f4c96d2682a1f5407536e
  • name string
    The name of the theme.
    Example: Modern1
  • original_theme_id string
    If the theme is the default installed theme or the theme downloaded from the theme shop, returns the unique ID of the corresponding official theme; otherwise returns null.
    Example: 627d1003d4baa549bf5b83f9
  • role string
    The status of the theme. Valid values are:
    • published: Published theme
    • unpublished: Unpublished theme
    • development: Theme in development
  • theme_type_version string
    The version identifier of the theme.
    Example: 2.1
  • update_at string
    The update time of the theme. Format: ISO 8601.
    Example: 2025-01-13T16:58:56+08:00
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201

ParamOptions

path required
header required

Language

curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201/themes/theme_id.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Get a single theme's details
Response
{
"theme": {
"update_at": "2022-12-21T15:40:47+08:00",
"create_at": "2022-12-01T20:15:48+08:00",
"id": "63889af46841fe15da877e2b",
"name": "Arise21",
"original_theme_id": "62319e9585f4b048db79a50e",
"role": "published"
}
}
Was this article helpful to you?